<div id="qrcreate" style="margin-top:10px;display:none;font-size:14px; width:100%; border:1px #CCCCCC solid;text-align:justify;text-justify:inter-ideograph">
  <table width="100%" border="0">
			<style>
				tr td{border: none;}
			</style>
      <tr>
        <td width="4%">&nbsp;</td>
        <td width="4%" rowspan="5">
        	<img height="180" style=" max-width: none; " id="qrcode" src="" />

        </td>
        <td width="4%">&nbsp;</td>
        <td width="68%">&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>你可以扫描二维码，将内容发送到微信、QQ等即使通信软件,邀请学员参与。</td>
      </tr>
     
      <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>你也可以直接&nbsp;
          <a href="javascript:void(0);" onclick='downloadqr()' style=" color: white; " class="nireyw" class="easyui-linkbutton" >下载</a>&nbsp;二维码，以邮件的形式邀请学员参与答题。</td>
      </tr>
     
      <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
				<td colspan="2">你还可以<input style=" font-size: 14px; " class="nireyw" id="copyid" type="button" data-clipboard-target="cpyurl" value="复制">地址直接发送给小伙伴们查看。</td>
      </tr>
 
      <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td <span id="cpyurl"></span></td>
      </tr> 
     
    </table>
</div>

<script type="text/javascript" src="{pigcms::RES}/js/zeroclipboard/ZeroClipboard.min.js"></script> 


<script type="text/javascript">	
	
var client = new ZeroClipboard(document.getElementById("copyid"));
client.on("aftercopy", function(e){
   $.messager.alert('提示','复制成功！','info'); 
});
var g_act = "";
function doqrcoe(act){
	var qrurl="";
	g_act = act;					
	$.post('{pigcms::U("QRCode/getUrl",array("token"=>$this->token))}',{
		'act':act
  },
  function (data){	
  	qrurl = data;	  	
		if (qrurl != ""){
			$("#cpyurl").text(qrurl);
		
		  $("#qrcreate").show();
		  $("#qrcode").attr('src','{pigcms::U("QRCode/getQRcode",array("token"=>$this->token))}&act='+act);
		  
	  }
	  else{
	  	 $.messager.alert('提示','发布二维码失败','info'); 
	  }
  	
  });
  
  
 }


function downloadqr() {  
	var imgPathURL;
		$.post('{pigcms::U("QRCode/downloadQRcode",array("token"=>$this->token))}',{
			'act':g_act
	  },
	  function (data){
	  	document.location.href=data;
	  	//window.open(data,"_blank");
		}
	);
	
	

}

    
</script>
